id: royal-mail-phish

info:
  name: royal-mail phishing Detection
  author: rxerium
  severity: info
  description: |
    A royal-mail phishing website was detected
  reference:
    - https://royalmail.com
  metadata:
    max-request: 1
  tags: phishing,royal-mail,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Log in | Royal Mail Group Ltd'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"royalmail.com")'
# digest: 4a0a00473045022100d45cca10e44ad5005a31ab1cbb974f574afc94e5826c8debdcbd6615c971d73d02201578d6162adb79d68a636b38919052167c3c9684a258a6a1d37fcee13f1fd60c:922c64590222798bb761d5b6d8e72950